AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Manager
EventTimeoutException Class
EventTimeoutException Properties
PartialResult Property

| EventTimeoutException PartialResult Property

Returns the partial result that has been received before the timeout occured.
Note: Using the partial result in your application should be avoided wherever possible. This is only a hack to handle those versions of Asterisk that don't follow the Manager API conventions, for example by not sending the correct ActionCompleteEvent.

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public ResponseEvents PartialResult { get; }

    Public ReadOnly Property PartialResult As ResponseEvents
    	Get

    public:
    property ResponseEvents^ PartialResult {
    	ResponseEvents^ get ();
    }

    member PartialResult : ResponseEvents with get

#### Return Value

Type: ResponseEvents
the ResponseEvents object filled with the parts that have been received before the timeout occured. Note: The response attribute may be null when no response has been received.
See Also

#### Reference

EventTimeoutException Class
AsterNET.Manager Namespace